# nvme-solidigm-garbage-collect-log(1) Manual Page

## NAME

nvme-solidigm-garbage-collect-log - Retrieve Garbage Collection Log

## SYNOPSIS

    nvme solidigm garbage-collect-log <device> [--output-format=<fmt> | -o <fmt>]

## DESCRIPTION

Retrieves and displays the Solidigm vendor-specific garbage collection log for the given NVMe device.

The <device> parameter is mandatory and may be either the NVMe character device (ex: /dev/nvme0), or a namespace block device (ex: /dev/nvme0n1).

## OPTIONS

-o <fmt>
--output-format=<fmt>

  Set the reporting format to normal, json, or binary. Only one output format can be used at a time.

## EXAMPLES

- Retrieve and display the garbage collection log:

      # nvme solidigm garbage-collect-log /dev/nvme0

- Retrieve the garbage collection log in JSON format:

      # nvme solidigm garbage-collect-log /dev/nvme0 -o json

## NVME

Part of the nvme-user suite